package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.CourseScheduleTeacherSalary;
import com.ym.mec.biz.dal.enums.JobNatureEnum;
import com.ym.mec.biz.dal.enums.TeachModeEnum;

public class TeacherVipSalaryDto extends CourseScheduleTeacherSalary {

	private JobNatureEnum teacherJobNature;

	private String vipGroupCategoryName;
	
	private Integer vipGroupCategoryId;

	private TeachModeEnum teachMode;

	public JobNatureEnum getTeacherJobNature() {
		return teacherJobNature;
	}

	public void setTeacherJobNature(JobNatureEnum teacherJobNature) {
		this.teacherJobNature = teacherJobNature;
	}

	public String getVipGroupCategoryName() {
		return vipGroupCategoryName;
	}

	public void setVipGroupCategoryName(String vipGroupCategoryName) {
		this.vipGroupCategoryName = vipGroupCategoryName;
	}

	public Integer getVipGroupCategoryId() {
		return vipGroupCategoryId;
	}

	public void setVipGroupCategoryId(Integer vipGroupCategoryId) {
		this.vipGroupCategoryId = vipGroupCategoryId;
	}

	public TeachModeEnum getTeachMode() {
		return teachMode;
	}

	public void setTeachMode(TeachModeEnum teachMode) {
		this.teachMode = teachMode;
	}
}
